> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get themes by category

> Get forms/surveys filtered by category with pagination



## OpenAPI

````yaml /api-reference/forms/openapi.json get /forms/categories/get-themes/{categoryId}
openapi: 3.0.0
info:
  title: Forms API
  description: Documentation for forms API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Forms
    description: Documentation for forms API
  - name: Categories
    description: Documentation for forms API
paths:
  /forms/categories/get-themes/{categoryId}:
    get:
      tags:
        - Categories
      summary: Get themes by category
      description: Get forms/surveys filtered by category with pagination
      operationId: get-themes-by-category
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: categoryId
          required: true
          in: path
          description: Category ID
          schema:
            example: 507f1f77bcf86cd799439011
            type: string
      responses:
        '200':
          description: Themes retrieved successfully
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '404':
          description: Category not found
      security:
        - bearer: []
components:
  schemas:
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````